Loading...
Searching...
No Matches
QUnit::TestResultExceptionDetail Class Reference

Class representing Exception of a particular type with a particular detail message. More...

Inheritance diagram for QUnit::TestResultExceptionDetail:
[legend]

## Public Member Functions

| constructor (string exceptionType, string exceptionDetail)
| creates the object from the exception arguments
bool | equals (QUnit::AbstractTestResult r)
| Equality operator.
string | toString ()
| returns a string describing the exception type
Public Member Functions inherited from QUnit::TestResultExceptionType
| constructor (string exceptionType)
| creates the object from the exception arguments
bool | equals (QUnit::AbstractTestResult r)
| Equality operator.
string | toString ()
| returns a string describing the exception type

## Additional Inherited Members

Public Attributes inherited from QUnit::TestResultExceptionType
string | m_exceptionType
| corresponds to the `"err"` key of ExceptionInfo (the first value of a throw statement)
Protected Member Functions inherited from QUnit::TestResultExceptionType
| constructor (string exceptionType, string subType)
| private constructor for subclasses

## Detailed Description

Class representing Exception of a particular type with a particular detail message.

## Member Function Documentation

## constructor()

QUnit::TestResultExceptionDetail::constructor | ( | string | exceptionType,
|  | string | exceptionDetail
| ) |  |

creates the object from the exception arguments

Parameters

  exceptionType | corresponds to the `"err"` key of ExceptionInfo
  exceptionDetail | corresponds to the `"desc"` key of ExceptionInfo